package com.uas.finance.service;

import com.uas.finance.model.CustomerInfo;

import java.util.List;
import java.util.Map;

/**
 * created by shicr on 2017/12/18
 **/
public interface CustomerInfoService {

    /**
     * 保存用户基础信息
     *
     * @param info
     * @return
     */
    CustomerInfo save(CustomerInfo info);

    /**
     * 更新erp传来的客户资料
     *
     * @param customerInfo
     * @return
     */
    List<Map<String, Long>> update(CustomerInfo customerInfo);

    /**
     * 通过企业UU号和下载状态获取待下载的数据
     *
     * @param enuu
     * @param status
     * @return
     */
    List<CustomerInfo> findByEnuuAndErpsatus(Long enuu, Integer status);

    /**
     * 通过传回的ID更新下载状态
     *
     * @param idStr
     */
    void updateDownStatus(String idStr);

    /**
     * 找到某企业最新的客户资料
     *
     * @param enuu
     * @return
     */
    CustomerInfo findNew(Long enuu);

    /**
     * 找到某一客户基础资料
     *
     * @param id
     * @return
     */
    CustomerInfo findOne(Long id);
}
